# $Revision: 1.15 $, $Date: 2010/08/21 19:09:25 $
%include	/usr/lib/rpm/macros.php
%define		_class		Search
%define		_subclass	Mnogosearch
%define		_status		alpha
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - Wrapper classes for the mnoGoSearch extention
Summary(pl.UTF-8):	%{_pearname} - Klasy do obsługi rozszerzenia mnoGoSearch
Name:		php-pear-%{_pearname}
Version:	0.1.1
Release:	7
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	af6c5903821f72e00c65dc573e638581
URL:		http://pear.php.net/package/Search_Mnogosearch/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:5.0.0
Requires:	php-mnogosearch
Requires:	php-pear
Suggests:	php-pear-HTML_QuickForm >= 3.2.3
Suggests:	php-pear-HTML_Template_Sigma >= 1.1.1
Suggests:	php-pear-Pager >= 2.2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(HTML/QuickForm.*)' 'pear(HTML/Template/Sigma.*)' 'pear(Pager.*)'

%description
This package provides wrapper classes for the mnoGoSearch search
engine. The package has two central classes "Search_Mnogosearch" and
"Search_Mnogosearch_Result". The class "Search_Mnogosearch" gives an
object that represents the search and the "Search_Mnogosearch_Result"
the result. The usage is just like the usage in the "DB" and
"DB_result" classes.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet dostarcza klasy obudowujące dla silnika wyszukiwarki
mnoGoSearch. Pakiet ma dwie główne klasy: Search_Mnogosearch i
Search_Mnogosearch_Result. Klasa Search_Mnogosearch daje obiekt
reprezentujący wyszukiwanie, a Search_Mnogosearch_Result - wynik.
Sposób użycia jest podobny do klas DB i DB_result.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Search_Mnogosearch.spec,v $
Revision 1.15  2010/08/21 19:09:25  glen
- updated deps with pearize.sh
- release 7

Revision 1.14  2008/01/31 12:17:32  glen
- rel 6

Revision 1.13  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.11  2006/11/26 14:11:48  glen
- rel 5: use php(extension) virtuals

Revision 1.10  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.9  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.8  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.7  2005/10/30 22:52:35  glen
- missing dir

Revision 1.6  2005/10/05 20:59:19  glen
- rel 2

Revision 1.5  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.4  2005/09/29 19:40:43  glen
- new pear packaging

Revision 1.3  2005/05/08 16:45:14  adamg
- updated to 0.1.1

Revision 1.2  2004/12/27 19:46:56  qboosh
- pl desc

Revision 1.1  2004/12/27 01:06:27  adamg
- new
